# eric7.CondaInterface.CondaNewEnvironmentDataDialog

Module implementing a dialog to enter data for a new conda environment.

### Global Attributes

None

### Classes

CondaNewEnvironmentDataDialog | Class implementing a dialog to enter data for a new conda environment.

### Functions

None

## CondaNewEnvironmentDataDialog

Class implementing a dialog to enter data for a new conda environment.

### Derived from

QDialog, Ui_CondaNewEnvironmentDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

CondaNewEnvironmentDataDialog | Constructor
__updateOK | Private method to update the enabled state of the OK button.
getData | Public method to get the entered data.
on_condaNameEdit_textChanged | Private slot to handle changes of the conda name.
on_nameEdit_textChanged | Private slot to handle changes of the logical name.
on_requirementsFilePicker_textChanged | Private slot to handle changes of the requirements file name.

### Static Methods

None

#### CondaNewEnvironmentDataDialog (Constructor)

CondaNewEnvironmentDataDialog(title, showRequirements, parent=None)

Constructor

title (str)
  tirle of the dialog
showRequirements (bool)
  flag indicating to show the requirements file input widget
parent (QWidget)
  reference to the parent widget

#### CondaNewEnvironmentDataDialog.__updateOK

__updateOK()

Private method to update the enabled state of the OK button.

#### CondaNewEnvironmentDataDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple with the logical name of the new environment, the conda name and the requirements file name

Return Type:
  tuple of (str, str, str)

#### CondaNewEnvironmentDataDialog.on_condaNameEdit_textChanged

on_condaNameEdit_textChanged(txt)

Private slot to handle changes of the conda name.

txt (str)
  current text of the conda name entry

#### CondaNewEnvironmentDataDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot to handle changes of the logical name.

txt (str)
  current text of the logical name entry

#### CondaNewEnvironmentDataDialog.on_requirementsFilePicker_textChanged

on_requirementsFilePicker_textChanged(txt)

Private slot to handle changes of the requirements file name.

txt (str)
  current text of the requirements file name entry

Up